Subject: bug#36708: closed (Re: bug#36708: Serving an up-to-date https://guix.gnu.org/packages)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 Aug 2019 21:13:02 +0000

Your bug report

#36708: guix.gnu.org/packages is 6 weeks stale, claims recent update

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36708: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36708
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36708: Serving an up-to-date https://guix.gnu.org/packages
From: Mark H Weaver <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Thu, 22 Aug 2019 17:11:54 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> skribis:
>
>>    The package list at <https://guix.gnu.org/packages> is made from the
>>    current ‘guix’ package, not from the latest ‘master’.  We should
>>    work to build it dynamically with something like hpcguix-web, or to
>>    generate it from an inferior of ‘master’.
>
> I went for the latter option in commit
> 9dbb0073be83c25b44400a62ec22d0b240a88130 of guix-artwork.git.
>
> That approach was also motivated by the fact that people would get
> different behavior depending on whether their ‘guix’ package depends on
> guile-json@1 or @3, as reported by nixo on IRC.
>
> That’s also the reason why the web site was no longer updated since
> 9c6f714305460e99c681d9b7f368e13bfe49fdd9 was pushed: the ‘guix’ on
> berlin is still on guile-json@1, but said commit expects guile-json@3.
>
> If everything goes well, we should see an up-to-date list at
> <https://guix.gnu.org/packages> within 40 minutes.

Looks good to me.  I'm closing this bug now.

   Thank you! :)
      Mark

Subject: guix.gnu.org/packages is 6 weeks stale, claims recent update
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Wed, 17 Jul 2019 14:50:20 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

As I write this, <https://guix.gnu.org/packages/> is over 6 weeks stale,
but claims to have been updated two days ago, on July 15:

  "GNU Guix provides 9,789 packages transparently available as pre-built
  binaries. These pages provide a complete list of the packages. Our
  continuous integration system shows their current build status
  (updated July 15, 2019)."

The same site shows the latest 'linux-libre' package to be 5.1.5:

  https://guix.gnu.org/packages/L/page/5/

In fact, 'linux-libre' was updated to 5.1.6 early on June 1st:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=b6cf7e54ea412ed24e6b3ca55a5b452a70ec957f

      Mark